<?php
/**
* @version $Id: admin.mambots.html.php,v 1.11 2004/09/11 04:50:15 tbroeker Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* @package Mambo_4.5.1
*/
class HTML_modules {

/**
* Writes a list of the defined modules
* @param array An array of category objects
*/
function showMambots( &$rows, $client, &$pageNav, $option ) {
	global $my, $mosConfig_live_site;
	?>
	<div id="overDiv" style="position:absolute; visibility:hidden; z-index:10000;"></div>
	<form action="index2.php" method="post" name="adminForm">

	<table class="adminheading">
	<tr>
		<th class="modules">
		<?php echo $client == 'admin' ? 'Administrator' : 'Site';?> Mambot Manager
		</th>
	</tr>
	</table>

	<table class="adminlist">
	<tr>
		<th>#</th>
		<th>
		<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows );?>);" />
		</th>
		<th class="title">
		Mambot Name
		</th>
		<th nowrap="nowrap">
		Group / File
		</th>
		<th nowrap="nowrap">
  		Published
		</th>
		<th nowrap="nowrap">
		Checked Out
		</th>
		<th nowrap="nowrap">
		Access
		</th>
		<th colspan="2" nowrap="true">
		Reorder
		</th>
	</tr>
	<?php
	$k = 0;
	for ($i=0, $n=count( $rows ); $i < $n; $i++) {
		$row = &$rows[$i];
		$img = $row->published ? 'publish_g.png' : 'publish_x.png';
		$task = $row->published ? 'unpublish' : 'publish';
		$alt = $row->published ? 'Published' : 'Unpublished';
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td width="20" align="right"><?php echo $pageNav->rowNumber( $i ); ?></td>
			<td width="20"><?php echo mosHTML::idBox( $i, $row->id, ($row->checked_out && $row->checked_out != $my->id ) ); ?></td>
			<td width="50%">
			<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edit')">
			<?php echo $row->name; ?>
			</a>
			<?php
				if ($row->description) {
				    echo mosToolTip( $row->description, 'Description' );
				}
			?>
			</td>
			<td width="10%" align="center" nowrap="true">
			<?php echo $row->folder . ' / ' . $row->element;?>
			</td>
			<td width="10%" align="center">
			<a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
			<img src="images/<?php echo $img;?>" border="0" alt="<?php echo $alt; ?>" />
			</a>
			</td>
			<td width="15%" align="center">
			<?php echo $row->editor; ?>&nbsp;
			</td>
			<td width="10%" align="center">
			<?php echo $row->groupname;?>
			</td>
			<td><?php echo $pageNav->orderUpIcon( $i,
					($row->folder == @$rows[$i-1]->folder && $row->ordering > -10000 && $row->ordering < 10000) ); ?></td>
			<td><?php echo $pageNav->orderDownIcon( $i, $n,
					($row->folder == @$rows[$i+1]->folder && $row->ordering > -10000 && $row->ordering < 10000) ); ?></td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</table>
	<?php echo $pageNav->getListFooter(); ?>

	<input type="hidden" name="option" value="<?php echo $option;?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="client" value="<?php echo $client;?>" />
	<input type="hidden" name="boxchecked" value="0" />
	</form>
<?php
}

/**
* Writes the edit form for new and existing module
*
* A new record is defined when <var>$row</var> is passed with the <var>id</var>
* property set to 0.
* @param mosCategory The category object
* @param array <p>The modules of the left side.  The array elements are in the form
* <var>$leftorder[<i>order</i>] = <i>label</i></var>
* where <i>order</i> is the module order from the db table and <i>label</i> is a
* text label associciated with the order.</p>
* @param array See notes for leftorder
* @param array An array of select lists
* @param object Parameters
*/
function editMambot( &$row, &$lists, &$params, $option ) {
	global $mosConfig_live_site;
	$tabs = new mosTabs(0);
	?>
	<div id="overDiv" style="position:absolute; visibility:hidden; z-index:10000;"></div>
	<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		if (pressbutton == "cancel") {
			submitform(pressbutton);
			return;
		}
		// validation
		var form = document.adminForm;
		if (form.name.value == "") {
			alert( "Mambot must have a name" );
		} else if (form.element.value == "") {
			alert( "Mambot must have a filename" );
		} else {
			submitform(pressbutton);
		}
	}
	</script>
	<table class="adminheading">
	<tr>
		<th class="mambots">
		<?php echo $row->id ? 'Edit' : 'Add';?> Mambot -> <?php echo $row->name; ?>
		</th>
	</tr>
	</table>

	<form action="index2.php" method="post" name="adminForm">
	<?php
	$tabs->startPane("mambots");
	$tabs->startTab("Details","Details-page");
	?>
	<table class="adminform">
	<tr>
		<td width="100" align="left">
		Name:
		</td>
		<td>
		<input class="text_area" type="text" name="name" size="35" value="<?php echo $row->name; ?>" />
		</td>
	</tr>
	<tr>
		<td valign="top" align="left">
		Folder:
		</td>
		<td>
		<?php echo $lists['folder']; ?>
		</td>
	</tr>
	<tr>
		<td valign="top" align="left">
		Mambot file:
		</td>
		<td>
		<input class="text_area" type="text" name="element" size="35" value="<?php echo $row->element; ?>" />.php
		</td>
	</tr>
	<tr>
		<td valign="top" align="left">
		Mambot Order:
		</td>
		<td>
		<?php echo $lists['ordering']; ?>
		</td>
	</tr>
	<tr>
		<td valign="top" align="left">
		Access Level:
		</td>
		<td>
		<?php echo $lists['access']; ?>
		</td>
	</tr>
	<tr>
		<td valign="top">Published:</td>
		<td><?php echo $lists['published']; ?></td>
	</tr>
	</table>
	<?php
	$tabs->endTab();
	$tabs->startTab("Parameters","params-page");
	?>
	<table class="adminform">
	<tr>
		<td>
			<?php echo $params->render();?>
		</td>
	</tr>
	</table>
	<?php
	$tabs->endTab();
	$tabs->endPane();
	?>
	<input type="hidden" name="option" value="<?php echo $option; ?>" />
	<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
	<input type="hidden" name="client" value="<?php echo $row->client_id; ?>" />
	<input type="hidden" name="task" value="" />
	</form>
	<script language="Javascript" src="<?php echo $mosConfig_live_site;?>/includes/js/overlib_mini.js"></script>
	<?php
}

}
?>
