<?php
/** module to display newsfeeds
* version $Id: newsfeeds.php,v 1.12 2004/09/10 19:04:44 rcastley Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* modified by brian & rob
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not
allowed.' );

$database->setQuery( "SELECT name, link, numarticles, cache_time"
. "\nFROM #__newsfeeds"
. "\nWHERE published='1' AND checked_out='0'"
. "\nORDER BY ordering"
);

$newsfeeds = $database->loadObjectList();
require_once( $mosConfig_absolute_path . "/includes/domit/xml_domit_rss_lite.php");
echo "<table width=\"100%\" cellpadding=\"4\" cellspacing=\"0\" border=\"0\" align=\"center\" class=\"contentpane\">";

$database->setQuery( "SELECT name as catname, image, image_position, description"
. "\nFROM #__categories"
. "\nWHERE section='com_newsfeeds' AND published='1' AND checked_out='0'"
);

$nf = $database->loadObjectList();
echo "<tr>\n<td>";
foreach ($nf as $nfcat) {
if ($nfcat->image) { ?>
    <img src="<?php echo $mosConfig_live_site;?>/images/stories/<?php echo $nfcat->image;?>" align="<?php echo $nfcat->image_position;?>" hspace="6" alt="<?php echo $nfcat->image;?>" />
<?php }
echo $nfcat->description;
echo "</td>\n</tr>\n";
}
function nfnavbar($newsfeed) {
	echo "<tr><td>";
	echo "<table width=\"100%\" border=\"0\" class=\"contentheading\">";
	echo "<tr>";
		?>
		<td><a href ="#<?php echo $newsfeed->name; ?>"><?php echo $newsfeed->name; ?></a></td>
	<?php
	echo "</tr>";
	echo "</table>";
	echo "</td></tr>";
}

foreach ($newsfeeds as $newsfeed) {
	$cacheDir = $mosConfig_absolute_path . "/cache/";
	$LitePath = $mosConfig_absolute_path . "/includes/Cache/Lite.php";
	require_once( $mosConfig_absolute_path . "/includes/domit/xml_domit_rss_lite.php");
	$rssDoc =& new xml_domit_rss_document_lite();
	$rssDoc->useCacheLite(true, $LitePath, $cacheDir, $newsfeed->cache_time);
	$rssDoc->loadRSS($newsfeed->link);
	$totalChannels = $rssDoc->getChannelCount();
	nfnavbar($newsfeed);
	
	for ($i = 0; $i < $totalChannels; $i++) {
		echo "<tr><td><br /></td></tr><tr><td class=\"smalldark\">";
		$currChannel =& $rssDoc->getChannel($i);
		echo "<a name=\"". $newsfeed->name . "\"></a> <a href=\"" . $currChannel->getLink() . "\" target=\"_child\">" .
		$currChannel->getTitle() . "</a>";
		echo "  " . $currChannel->getDescription() . "\n\n";
		echo "</td></tr>";
		$actualItems = $currChannel->getItemCount();
		$setItems = $newsfeed->numarticles;
		if ($setItems > $actualItems) {
			$totalItems = $actualItems;
		} else {
			$totalItems = $setItems;
		}
		for ($j = 0; $j < $totalItems; $j++) {
			$currItem =& $currChannel->getItem($j);
			echo "<tr><td>";
			echo "<a href=\"" . $currItem->getLink() . "\" target=\"_child\">" .
			$currItem->getTitle() . "</a> " .$currItem->getDescription();
			echo "</td></tr>";
		}
	}
}
echo "</table>";
?>
