<?php
/**
* @version $Id: mosvote.php,v 1.15 2004/09/01 01:12:28 eddieajau Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$_MAMBOTS->registerFunction( 'onBeforeDisplayContent', 'botVoting' );

function botVoting( &$row, &$params, $page=0 ) {
	global $mosConfig_live_site, $mosConfig_absolute_path, $cur_template;
	global $Itemid;
	$id = $row->id;
	$option = 'com_content';
	$task = mosGetParam( $_REQUEST, 'task', '' );

	$html = '';
	if ($params->get( 'rating' ) && !$params->get( 'popup' )){
		$html .= '<form method="post" action="' . sefRelToAbs("index.php") . '">';
		$img = '';
		
		//look for images in template if available
		if ( file_exists( $mosConfig_absolute_path .'/templates/'. $cur_template .'/images/rating_star.png' )) {
			$starImageOn = $mosConfig_live_site. '/templates/'. $cur_template .'/images/rating_star.png';
		} else {
			$starImageOn = $mosConfig_live_site. '/images/M_images/rating_star.png';
		}
		if ( file_exists( $mosConfig_absolute_path .'/templates/'. $cur_template .'/images/rating_star_blank.png' )) {
			$starImageOff = $mosConfig_live_site. '/templates/'. $cur_template .'/images/rating_star_blank.png';
		} else {
			$starImageOff = $mosConfig_live_site. '/images/M_images/rating_star_blank.png';
		}
		
		for ($i=0; $i < $row->rating; $i++) {
			$img .= "<img src=\"$starImageOn\" border=\"0\" alt=\"star\" align=\"middle\" />\n";
		}
		for ($i=$row->rating; $i < 5; $i++) {
			$img .= "<img src=\"$starImageOff\" border=\"0\" alt=\"star\" align=\"middle\" />\n";
		}
		$html .= '<span class="content_rating">';
		$html .= _USER_RATING . ':' . $img . '&nbsp;/&nbsp;';
		$html .= intval( $row->rating_count );
		$html .= "</span>\n<br />\n";
		
		if (!$params->get( 'intro_only' ) && $task != "blogsection") {
			$html .= '<span class="content_vote">';
			$html .= _VOTE_POOR;
			$html .= '<input type="radio" alt="vote 1 star" name="user_rating" value="1" />';
			$html .= '<input type="radio" alt="vote 2 star" name="user_rating" value="2" />';
			$html .= '<input type="radio" alt="vote 3 star" name="user_rating" value="3" />';
			$html .= '<input type="radio" alt="vote 4 star" name="user_rating" value="4" />';
			$html .= '<input type="radio" alt="vote 5 star" name="user_rating" value="5" checked="checked" />';
			$html .= _VOTE_BEST;
			$html .= '&nbsp;<input class="button" type="submit" name="submit_vote" value="' . _RATE_BUTTON . '" />';
			$html .= '<input type="hidden" name="task" value="vote" />';
			$html .= '<input type="hidden" name="pop" value="0" />';
			$html .= '<input type="hidden" name="option" value="com_content" />';
			$html .= '<input type="hidden" name="Itemid" value="' . $Itemid . '" />';
			$html .= '<input type="hidden" name="cid" value="' . $id . '" />';
			$html .= '<input type="hidden" name="url" value="' . $_SERVER['REQUEST_URI'] . '" />';
			$html .= '</span>';
		}
		$html .= "</form>\n";
	}
	return $html;
}
?>