<?php
/**
* @version $Id: mod_rssfeed.php,v 1.12 2004/09/14 15:30:20 stingrey Exp $
* @package Mambo_4.5
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mosConfig_live_site, $mosConfig_absolute_path, $cur_template;

$text 			= $params->get( 'text' );
$moduleclass_sfx 	= $params->get( 'moduleclass_sfx', '' );
$rss091  			= $params->get( 'rss091', 1 );
$rss10  			= $params->get( 'rss10', 1 );
$rss20  			= $params->get( 'rss20', 1 );
$atom  			= $params->get( 'atom', 1 );
$opml  			= $params->get( 'opml', 1 );

$t_path 		= $mosConfig_live_site .'/templates/'. $cur_template .'/images/';
$d_path		= $mosConfig_live_site .'/images/M_images/';

?>

<div class="syndicate<?php echo $moduleclass_sfx;?>">
<?php
// rss091 link
if ( $text ) {
	?>
	<div align="center" class="syndicate_text<?php echo $moduleclass_sfx;?>">
	<?php echo $text;?>
	</div>
	<?php
}
?>

<?php
// rss091 link
if ( $rss091 ) {
	// template image directory for replacement image
	if ( file_exists( $mosConfig_absolute_path .'/templates/'. $cur_template .'/images/rss091.gif' )) {
		$img = $t_path . 'rss091.gif';
	} else {
		$img = $d_path . 'rss091.gif';
	}
	?>
	<div align="center">
	<a href="<?php echo $mosConfig_live_site ?>/index2.php?option=com_rss&amp;feed=RSS0.91&amp;no_html=1">
	<img src="<?php echo $img ?>" border="0" alt="RSS 0.91" />
	</a>
	</div>
	<?php
}
?>

<?php
// rss10 link
if ( $rss10 ) {
	// template image directory for replacement image
	if ( file_exists( $mosConfig_absolute_path .'/templates/'. $cur_template .'/images/rss10.gif' )) {
		$img = $t_path . 'rss10.gif';
	} else {
		$img = $d_path . 'rss10.gif';
	}
	?>
	<div align="center">
	<a href="<?php echo $mosConfig_live_site ?>/index2.php?option=com_rss&amp;feed=RSS1.0&amp;no_html=1">
	<img src="<?php echo $img ?>" border="0" alt="RSS 1.0" />
	</a>
	</div>
	<?php
}
?>

<?php
// rss20 link
if ( $rss20 ) {
	// template image directory for replacement image
	if ( file_exists( $mosConfig_absolute_path .'/templates/'. $cur_template .'/images/rss20.gif' )) {
		$img = $t_path . 'rss20.gif';
	} else {
		$img = $d_path . 'rss20.gif';
	}
	?>
	<div align="center">
	<a href="<?php echo $mosConfig_live_site ?>/index2.php?option=com_rss&amp;feed=RSS2.0&amp;no_html=1">
	<img src="<?php echo $img ?>" border="0" alt="RSS 2.0" />
	</a>
	</div>
	<?php
}
?>

<?php
// atom link
if ( $atom ) {
	// template image directory for replacement image
	if ( file_exists( $mosConfig_absolute_path .'/templates/'. $cur_template .'/images/atom03.gif' )) {
		$img = $t_path . 'atom03.gif';
	} else {
		$img = $d_path . 'atom03.gif';
	}
	?>
	<div align="center">
	<a href="<?php echo $mosConfig_live_site ?>/index2.php?option=com_rss&amp;feed=ATOM0.3&amp;no_html=1">
	<img src="<?php echo $img ?>" border="0" alt="ATOM 0.3" />
	</a>
	</div>
	<?php
}
?>

<?php
// opml link
if ( $opml ) {
	// template image directory for replacement image
	if ( file_exists( $mosConfig_absolute_path .'/templates/'. $cur_template .'/images/opml.png' )) {
		$img = $t_path . 'opml.png';
	} else {
		$img = $d_path . 'opml.png';
	}
	?>
	<div align="center">
	<a href="<?php echo $mosConfig_live_site ?>/index2.php?option=com_rss&amp;feed=OPML&amp;no_html=1">
	<img src="<?php echo $img ?>" border="0" alt="OPML" />
	</a>
	</div>
	<?php
}
?>
</div>