<?php
/**
* @version $Id: admin.contact.html.php,v 1.21 2004/09/06 20:04:00 prazgod Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* @package Mambo_4.5.1
*/
class HTML_contact {
	
	function showContacts( &$rows, &$pageNav, $search, $option ) {
	global $my;
?>
	<form action="index2.php" method="post" name="adminForm">
	<table class="adminheading">
		<tr> 
			<th>Contact Manager</th>
			<td>Search:</td>
			<td><input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" /></td>
		</tr>
	</table>
	<table class="adminlist">
		<tr> 
			<th width="20" nowrap="nowrap">#</th>
			<th width="20" class="title" nowrap="true"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" /></th>
			<th width="20%" class="title" nowrap="true">Name</th>
			<th class="title" nowrap="true">Category</th>
			<th class="title" nowrap="true">Linked to User</th>
			<th class="title" nowrap="true">Address</th>
			<th width="20%" class="title" nowrap="true">E-Mail</th>
			<th class="title" nowrap="true">Checked Out </th>
			<th width="50" class="title" nowrap="true">Default</th>
			<th width="50" class="title" nowrap="true">Published</th>
			<th colspan="2" nowrap="nowrap">Reorder</th>
		</tr>
<?php
		$k = 0;
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];
			$img = $row->published ? 'tick.png' : 'publish_x.png';
			$task = $row->published ? 'unpublish' : 'publish';
			$alt = $row->published ? 'Published' : 'Unpublished';
?>
		<tr class="<?php echo "row$k"; ?>"> 
			<td width="20"><?php echo $pageNav->rowNumber( $i ); ?></td>
			<td width="20"><?php echo mosHTML::idBox( $i, $row->id, ($row->checked_out && $row->checked_out != $my->id ) ); ?></td>
			<td width="20%"><a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edit')"><?php echo $row->name; ?></a></td>
			<td width="20%"><?php echo $row->category; ?></td>
			<td width="20%"><?php echo $row->user; ?></td>
			<td width="20%"><?php echo "$row->address<br />$row->suburb $row->state $row->postcode"; ?></td>
			<td width="40%"><a href="mailto:<?php echo $row->email_to; ?>"><?php echo $row->email_to;?></a></td>
			<td width="20%"><?php echo $row->checked_out ? $row->editor : ""; ?></td>
<?php		if ($row->default_con) { ?>
			<td width="50" align="center"><img src="images/tick.png" alt="default"></td>
<?php		} else { ?>
			<td width="50" align="center">&nbsp;</td>
<?php		} ?>
			<td width="10%" align="center"><a href="javascript: void(0);" onClick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
				<img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="<?php echo $alt; ?>" /></a>
			</td>
			<td><?php echo $pageNav->orderUpIcon( $i ); ?></td>
			<td><?php echo $pageNav->orderDownIcon( $i, $n ); ?></td>
		</tr>
    <?php $k = 1 - $k;
			} ?>
	</table>
	<?php echo $pageNav->getListFooter(); ?>
  <input type="hidden" name="option" value="<?php echo $option; ?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="boxchecked" value="0" />
</form>
<?php }

	function editContact( &$row, &$lists, $option ) {
		if ($row->image == "") {
			$row->image = 'blank.png';
		}
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'misc' );
		$tabs = new mosTabs( 0 );
?>
	<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if (form.name.value == ""){
				alert( "You must provide a name." );
			//} else if (form.contact_email.value == ""){
			//	alert( "You must provide an email address." );
			} else {
				submitform( pressbutton );
			}
		}
	</script>
	<form action="index2.php" method="post" name="adminForm">
	<table class="adminheading">
		<tr> 
			<th><?php echo $row->id ? 'Edit' : 'Add';?> Contact</th>
		</tr>
	</table>
<?php
		$tabs->startPane( "contact" );
		$tabs->startTab( "Details", "Details-page" );
?>
	<table class="adminform">
		<tr> 
			<td width="20%" align="right">Category:</td>
			<td width="80%"><?php echo $lists['catid'];?></td>
		</tr>
		<tr>
			<td width="20%" align="right">Linked to User:</td>
			<td width="80%"><?php echo $lists['user_id'];?></td>
		</tr>
		<tr>
			<td width="20%" align="right">Name:</td>
			<td width="80%"><input class="inputbox" type="text" name="name" size="50" maxlength="100" value="<?php echo $row->name; ?>" /></td>
		</tr>
		<tr>
			<td align="right">Contact's Position:</td>
			<td><input class="inputbox" type="text" name="con_position" size="50" maxlength="50" value="<?php echo $row->con_position; ?>" /></td>
		</tr>
		<tr> 
			<td align="right">E-mail:</td>
			<td><input class="inputbox" type="text" name="email_to" size="50" maxlength="100" value="<?php echo $row->email_to; ?>" /></td>
		</tr>
		<tr> 
			<td align="right">Street Address:</td>
			<td><input class="inputbox" type="text" name="address" size="50" value="<?php echo $row->address; ?>" /></td>
		</tr>
		<tr> 
			<td align="right">Town/Suburb:</td>
			<td><input class="inputbox" type="text" name="suburb" size="50" maxlength="50" value="<?php echo $row->suburb;?>" /></td>
		</tr>
		<tr> 
			<td align="right">State/County:</td>
			<td><input class="inputbox" type="text" name="state" size="50" maxlength="20" value="<?php echo $row->state;?>" /></td>
		</tr>
		<tr> 
			<td align="right">Country:</td>
			<td><input class="inputbox" type="text" name="country" size="50" maxlength="50" value="<?php echo $row->country;?>" /></td>
		</tr>
		<tr> 
			<td align="right">Postal Code/ZIP:</td>
			<td><input class="inputbox" type="text" name="postcode" size="25" maxlength="10" value="<?php echo $row->postcode; ?>" /></td>
		</tr>
		<tr> 
			<td align="right">Telephone:</td>
			<td><input class="inputbox" type="text" name="telephone" size="25" maxlength="25" value="<?php echo $row->telephone; ?>" /></td>
		</tr>
		<tr> 
			<td align="right">Fax:</td>
			<td><input class="inputbox" type="text" name="fax" size="25" maxlength="25" value="<?php echo $row->fax; ?>" /></td>
			</tr>
		<tr> 
			<td align="right">Miscellaneous Info:</td>
			<td><textarea name="misc" rows="5" cols="50"><?php echo $row->misc; ?></textarea></td>
		</tr>
		<tr> 
		<tr> 
			<td align="right">Image:</td>
			<td><?php echo $lists['image']; ?></td>
			<td rowspan="4" align="left">
				<script language="javascript" type="text/javascript">
					if (document.forms[0].image.options.value!=''){
					  jsimg='../images/stories/' + getSelectedValue( 'adminForm', 'image' );
					} else {
					  jsimg='../images/M_images/blank.png';
					}
					document.write('<img src=' + jsimg + ' name="imagelib" width="80" height="80" border="2" alt="Preview" />');
				</script>
			</td>
		</tr>
<!--
		<tr>
			<td align="right">Image Position:</td>
			<td><?php //echo $lists['imagepos']; ?></td>
		</tr>
-->
	</table>
<?php
		$tabs->endTab();
		$tabs->startTab( "Publishing", "Publishing-page" );
?>
	<table class="adminform">
		<tr> 
			<td width="20%" align="right">Site Default:</td>
			<td width="80%"> <?php echo $lists['default_con']; ?> </td>
		</tr>
		<tr>
	        <td valign="top" align="right">Published:</td>
	        <td> <?php echo $lists['published']; ?> </td>
        </tr>
		<tr>
	        <td valign="top" align="right">Ordering:</td>
	        <td> <?php echo $lists['ordering']; ?> </td>
        </tr>
		<tr>
	        <td valign="top" align="right">Access:</td>
	        <td> <?php echo $lists['access']; ?> </td>
        </tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
	</table>
<?php
		$tabs->endTab();
		$tabs->endPane();
?>
	<input type="hidden" name="option" value="<?php echo $option; ?>" />
	<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
	<input type="hidden" name="task" value="" />
	</form>
<?php
	}
}
?>
