<?php
/**
* @version $Id: mambot.html.php,v 1.6 2004/09/06 22:31:26 stingrey Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
* @subpackage Installer
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* @package Mambo_4.5.1
* @subpackage Installer
*/
class HTML_mambot {
/**
* Displays the installed non-core Mambot
* @param array An array of mambot object
* @param strong The URL option
*/
	function showInstalledMambots( &$rows, $option ) {
?>
<table class="adminheading">
	<tr>
		<th class="install">Mambots</th>
	</tr>
</table>
<?php	if (count( $rows )) { ?>
<form action="index2.php" method="post" name="adminForm">
	<table class="adminlist">
		<tr>
			<th width="20%" class="title">Folder / File</th>
			<th width="10%" align="left">Client</th>
			<th width="10%" align="left">Author</th>
			<th width="5%" align="center">Version</th>
			<th width="10%" align="center">Date</th>
			<th width="15%" align="left">Author Email</th>
			<th width="15%" align="left">Author URL</th>
		</tr>
<?php
		$rc = 0;
		$n = count( $rows );
		for ($i = 0; $i < $n; $i++) {
		    $row =& $rows[$i];
?>
		<tr class="<?php echo "row$rc"; ?>">
			<td>
				<input type="radio" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);"><span class="bold"><?php echo $row->folder . ' / ' . $row->element; ?></span>
			</td>
			<td>
				<?php echo $row->client_id == "0" ? 'Site' : 'Administrator'; ?>
			</td>
			<td>
				<?php echo @$row->author != '' ? $row->author : "&nbsp;"; ?>
			</td>
			<td align="center">
				<?php echo @$row->version != '' ? $row->version : "&nbsp;"; ?>
			</td>
			<td align="center">
				<?php echo @$row->creationdate != '' ? $row->creationdate : "&nbsp;"; ?>
			</td>
			<td>
				<?php echo @$row->authorEmail != '' ? $row->authorEmail : "&nbsp;"; ?>
			</td>
			<td>
				<?php echo @$row->authorUrl != '' ? "<a href=\"http://$row->authorUrl\" target=\"_blank\">$row->authorUrl</a>" : "&nbsp;"; ?>
			</td>
		</tr>
<?php
			$rc = 1 - $rc;
		}
?>
	</table>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="option" value="com_installer" />
	<input type="hidden" name="element" value="mambot" />
</form>
<?php
		} else {
?>
	There are no non-core, custom mambots installed.
<?php
		}
	}
}
?>
