<?php
/**
* @version $Id: install1.php,v 1.24 2004/09/03 22:04:10 rcastley Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** Include common.php */
include_once( "common.php" );

$DBhostname = trim( mosGetParam( $_POST, 'DBhostname', '' ) );
$DBuserName = trim( mosGetParam( $_POST, 'DBuserName', '' ) );
$DBpassword = trim( mosGetParam( $_POST, 'DBpassword', '' ) );
$DBname  	= trim( mosGetParam( $_POST, 'DBname', '' ) );
$DBPrefix  	= trim( mosGetParam( $_POST, 'DBPrefix', 'mos_' ) );
$DBDel  	= trim( mosGetParam( $_POST, 'DBDel', '' ) );
$DBBackup  	= trim( mosGetParam( $_POST, 'DBBackup', 1 ) );
$DBSample  	= trim( mosGetParam( $_POST, 'DBSample', '' ) );
$DBHelp 	= trim( mosGetParam( $_POST, 'DBHelp', '' ) );
$DBcreated = trim( mosGetParam( $_POST, 'DBcreated', 0 ) );
?>
<?php echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">"; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Mambo - Web Installer</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../../images/favicon.ico" />
<link rel="stylesheet" href="install.css" type="text/css" />
<script language="javascript" type="text/javascript">
function check() {
	<!-- form validation check -->
	var formValid=false;
	var f = document.form;
	if ( f.DBhostname.value == '' ) {
		alert('Please enter a Host name');
		f.DBhostname.focus();
		formValid=false;
	} else if ( f.DBuserName.value == '' ) {
		alert('Please enter a Database User Name');
		f.DBuserName.focus();
		formValid=false;
	} else if ( f.DBname.value == '' ) {
		alert('Please enter a Name for your new Database');
		f.DBname.focus();
		formValid=false;
	} else if ( confirm('Are you sure these settings are correct? \nMambo will now attempt to populate a Database with the settings you have supplied')) {
		formValid=true;
	}
	
	return formValid;
}
</script>
</head>
<body onload="document.form.DBhostname.focus();"/>
<div id="wrapper">
    <div id="header">
      
    <div id="mambo"><img src="header_install.png" alt="Mambo Installation" /></div>
    </div>
</div>
<div id="ctr" align="center">
	<form action="install2.php" method="post" name="form" id="form" onsubmit="return check();">
	<div class="install">
    <div id="stepbar">
      	<div class="step-off">pre-installation check</div>
      	<div class="step-off">license</div>
      	<div class="step-on">step 1</div>
      	<div class="step-off">step 2</div>
      	<div class="step-off">step 3</div>
      	<div class="step-off">step 4</div>
      </div>
      <div id="right">
      <div class="far-right">
  	   <input class="button" type="submit" name="next" value="Next >>"/>
  		</div>
      <div id="step">step 1</div>
  		<div class="clr"></div>
  		<h1>MySQL database configuration:</h1>
      <div class="install-text">
  	   <p>Setting up Mambo to run on your server is
    		involves 4 simple steps...</p>
  	   <p>Please enter the hostname of the server Mambo is to be
    		installed on, this is usually 'localhost'.<br />
    		<br />
    		Enter the MySQL username and password and the database name you wish
    		to use with Mambo. 
  		</div>
      <div class="install-form">
  	   <div class="form-block">
  	     <table class="content2">
  		  <tr>
  		    <td>Host Name</td>
  		    <td align="left"><input class="inputbox" type="text" name="DBhostname" value="<?php echo "$DBhostname"; ?>" /></td>
  		    <td align="left" class="warning" colspan="2">(this is usually 'localhost')</td>
  		</tr>
  		  <tr>
  		    <td>MySQL User Name</td>
  		    <td align="left"><input class="inputbox" type="text" name="DBuserName" value="<?php echo "$DBuserName"; ?>" /></td>
  		    <td colspan="2">&nbsp;</td>
  		</tr>
  		  <tr>
  		    <td>MySQL Password</td>
  		    <td align="left"><input class="inputbox" type="text" name="DBpassword" value="<?php echo "$DBpassword"; ?>" /></td>
  		    <td align="left" class="warning" colspan="2">(a password <strong>MUST</strong> be provided)</td>
  		</tr>
  		  <tr>
  		    <td>MySQL Database Name</td>
  		    <td align="left"><input class="inputbox" type="text" name="DBname" value="<?php echo "$DBname"; ?>" /></td>
  		</tr>
  		  <tr>
  		    <td>MySQL Table Prefix</td>
  		    <td align="left"><input class="inputbox" type="text" name="DBPrefix" value="<?php echo "$DBPrefix"; ?>" /></td>
  		</tr>
  		  <tr>
  		    <td>Drop Existing Tables?</td>
  		    <?php if ($DBDel==1) { ?>
  		    <td align="left"><input type="checkbox" name="DBDel" value="1" checked="checked" /></td>
  		    <?php }else{ ?>
  		    <td align="left"><input type="checkbox" name="DBDel" value="1" /></td>
  		    <?php } ?>
  		</tr>
  		  <tr>
  		    <td>Backup Tables?</td>
  		    <?php if ($DBBackup==1) { ?>
  		    <td align="left"><input type="checkbox" name="DBBackup" value="1" checked="checked" /></td>
  		    <?php }else{ ?>
  		    <td align="left"><input type="checkbox" name="DBBackup" value="1" /></td>
  		    <?php } ?>
  		    <td>(existing backup tables will be dropped)</td>
  		</tr>
  		  <tr>
  		    <td>Install Sample Data?</td>
  		    <?php if ($DBDel==1) { ?>
  		    <td align="left"><input type="checkbox" name="DBSample" value="1" checked="checked" /></td>
  		    <?php }else{ ?>
  		    <td align="left"><input type="checkbox" name="DBSample" value="1" /></td>
  		    <?php } ?>
  		</tr>
  	     </table>
  		</div>
		</div>
    </div>		
		<div class="clr"></div>
		</form>
		</div>
	<div class="clr"></div>
</div>
	 <div class="ctr">
	   Miro International Pty Ltd.  2000 - 2004 All rights reserved. <br />
	     <a href="http://www.mamboserver.com" target="_blank">Mambo</a> is Free Software released under the GNU/GPL License.
	 </div>
</body>
</html>