<?php
/**
* @version $Id: mod_stats.php,v 1.13 2004/08/26 05:21:00 rcastley Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mosConfig_offset, $mosConfig_caching, $mosConfig_enable_stats;
global $mosConfig_gzip;
$serverinfo = $params->get( 'serverinfo' );
$siteinfo = $params->get( 'siteinfo' );
$moduleclass_sfx = $params->get( 'moduleclass_sfx' );

$content = "";

if ($serverinfo) {
	echo "<strong>OS:</strong> "  . substr(php_uname(),0,7) . "\n";
	echo "<br /><strong>PHP:</strong> " .phpversion() . "\n";
	echo "<br /><strong>MySQL:</strong> " .mysql_get_server_info() . "\n";
	echo "<br /><strong>"._TIME_STAT.": </strong> " .date("H:i",time()+($mosConfig_offset*60*60)) . "\n";
	$c = $mosConfig_caching ? 'Enabled':'Disabled';
	echo "<br /><strong>Caching:</strong> " . $c . "\n";
	$z = $mosConfig_gzip ? 'Enabled':'Disabled';
	echo "<br /><strong>GZIP:</strong> " . $z . "\n";
}

if ($siteinfo) {
	$query="SELECT count(id) AS count_users FROM #__users";
	$database->setQuery($query);
	echo "<br /><strong>"._MEMBERS_STAT.":</strong> " .$database->loadResult() . "\n";

	$query="SELECT count(id) as count_items from #__content";
	$database->setQuery($query);
	echo "<br /><strong>"._NEWS_STAT.":</strong> ".$database->loadResult() . "\n";

	$query="SELECT count(id) as count_links FROM #__weblinks WHERE published='1'";
	$database->setQuery($query);
	echo "<br /><strong>"._LINKS_STAT.":</strong> ".$database->loadResult() . "\n";
}

if ($mosConfig_enable_stats) {
	$counter = $params->get( 'counter' );
	$increase = $params->get( 'increase' );
	if ($counter) {
		$query = "SELECT sum(hits) AS count FROM #__stats_agents WHERE type='1'";
		$database->setQuery( $query );
		$hits = $database->loadResult();

		$hits = $hits + $increase;

		if ($hits == NULL) {
			$content .= "<br /><strong>" . _VISITORS . ":</strong> 0\n";
		} else {
			$content .= "<br /><strong>" . _VISITORS . ":</strong> " . $hits . "\n";
		}
	}
}
?>
